Bug 117466 - [UPDATE] lang/gnat-gcc42 to 4.2.2, unbroken on 7.0
Summary: [UPDATE] lang/gnat-gcc42 to 4.2.2, unbroken on 7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-25 02:00 UTC by Karel Miklav
Modified: 2007-11-06 09:11 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (3.68 KB, patch)
2007-10-25 02:00 UTC, Karel Miklav
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Karel Miklav 2007-10-25 02:00:00 UTC
Port doesn't build on FreeBSD 7.0 since version 700050, when putenv(3)
behavior changed. Changes:

 - putenv(3) assumption in GNAT patched
 - uses GCC 4.2.2 release
 - PORTVERSION bumped

How-To-Repeat: 	Build on a system where $OSVERSION >= 700050.
Comment 1 Boris Samorodov freebsd_committer 2007-11-05 12:16:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Take.
Comment 2 dfilter service freebsd_committer 2007-11-06 08:55:55 UTC
bsam        2007-11-06 08:55:50 UTC

  FreeBSD ports repository

  Modified files:
    lang/gnat-gcc42      Makefile distinfo 
  Log:
  - unbreak building at 7.x-i386;
  - patch putenv(3) assumption in GNAT;
  - use GCC 4.2.2 release;
  - bump PORTVERSION.
  
  PR:             117466
  Submitted by:   Karel Miklav <karel at lovetemple.net> (maintainer)
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.13      +15 -16    ports/lang/gnat-gcc42/Makefile
  1.8       +9 -9      ports/lang/gnat-gcc42/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Boris Samorodov freebsd_committer 2007-11-06 09:11:23 UTC
State Changed
From-To: open->closed

Committed, thanks!